﻿@model IEnumerable<InventoryListModel>

@{
    ViewData["Title"] = "Index";
}
<script src="~/js/InventoryPage.js"></script>
<div class="container-fluid" style="min-height: 500.8px;margin:0 !important;">
    <section class="content-header">

        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i><span class="icon-after-span">Home</span> </a></li>
            <li class="active">Manage Inventory</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="box-title">Inventory Listing</h4>
                        <div class="box-tools">
                            @if (User.IsInRole("Admin") || User.IsInRole("Inventory Manager"))
                            {
                                <div class="input-group input-group-sm" style="width: 150px;text-align:right;">
                                    <a asp-controller="Inventory" asp-action="AddInventory"><i class="fa fa-plus-circle"></i><span class="icon-after-span">Add New</span></a>
                                </div>
                            }
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="panel-body table-responsive">
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["ErrorMessage"])))
                        {
                            <div class="alert alert-danger">  @TempData["ErrorMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["SuccessMessage"])))
                        {
                            <div class="alert alert-success">  @TempData["SuccessMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>
                                        @Html.DisplayNameFor(model => model.InvID)
                                    </th>
                                    <th>
                                        Picture
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.CompanyName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.InvName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.InvDesc)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.StatusName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.InvCreatedDate)
                                    </th>

                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model)
                                {
                                <tr>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.InvID)
                                    </td>
                                    <td>
                                        <img src="~/@item.Thumbnail" width="100" height="100" />
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.CompanyName)
                                    </td>
                                    <td>
                                        @*@Html.DisplayFor(modelItem => item.InvName)*@
                                        @if (item.InvName.Length <= 15)
                                        {
                                            @Html.DisplayFor(modelItem => item.InvName)
                                        }
                                        else
                                        {
                                            @string.Format("{0}{1}", @item.InvName.Substring(0, 15), "...");
                                        }
                                    </td>
                                    <td>
                                        @if (item.InvDesc.Length <= 15)
                                        {
                                            @Html.DisplayFor(modelItem => item.InvDesc)
                                        }
                                        else
                                        {
                                            @string.Format("{0}{1}", @item.InvDesc.Substring(0, 15), "...");
                                        }

                                    </td>
                                    <td>
                                        @if (@item.InvStatus != 3)
                                        {
                                            <span style="color:red;">
                                                @Html.DisplayFor(modelItem => item.StatusName)
                                            </span>
                                        }
                                        else
                                        {
                                            <span style="color:green;font-weight:bold;">
                                                @Html.DisplayFor(modelItem => item.StatusName)
                                            </span>
                                        }
                                    </td>

                                    <td>
                                        @Html.DisplayFor(modelItem => item.InvCreatedDate)
                                    </td>
                                    <td>
                                        @if (@item.InvStatus != 3)
                                        {
                                            @if (!User.IsInRole("Photographer"))
                                            {
                                                <a asp-action="Edit" style="cursor:pointer;" asp-route-id="@item.InvID" class="fa fa-edit" title="Edit Inventory"></a>
                                            }
                                            <a asp-action="Gallery" style="cursor:pointer;" asp-route-id="@item.InvID" class="fa fa-image" title="Gallery"></a>
                                            @if ((User.IsInRole("Admin") || User.IsInRole("Lister")) && @item.InvStatus == 2)
                                            {

                                                <a data-id="@item.InvID" class="approveInv" style="cursor:pointer;" title="Need Approval"><i class="fa fa-check-circle"></i><span></span></a>

                                            }
                                            @if (User.IsInRole("Admin"))
                                            {
                                                <a asp-action="Delete" style="cursor:pointer;" asp-route-id="@item.InvID" onclick="return confirm('Are sure wants to delete?');" class="fa fa-trash" title="Delete Inventory"></a>
                                            }
                                        }
                                        else
                                        {
                                            <a asp-action="Gallery" style="cursor:pointer;" asp-route-id="@item.InvID" class="fa fa-image" title="Gallery"></a>
                                        }
                                    </td>
                                </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
                <div>
                    @*<a asp-action="Index">Back to List</a>*@
                </div>
                <!-- /.box -->
            </div>
        </div>
    </section>
</div>

